Subject: Re: bug#50129: -f - option doesn't respond to single EOF from TTY.

From: Paul Eggert <[email-masked]>
Date: Fri, 20 Aug 2021 08:25:12 -0700

On 8/19/21 5:59 PM, Kaz Kylheku wrote:
> This reproduces on grep 3.1 on Ubuntu.

That's a pretty old version of grep. I cannot reproduce the problem on 
Ubuntu 21.04, which has grep 3.6. So it sounds like the bug is fixed, 
and you can fix your problem by upgrading to a more-recent Ubuntu version.

(Not that anyone would ever want to *use* plain "grep -f -", except 
perhaps to file bug reports....)